@import 'assets/variables';

.root {
  display: flex;
  flex-direction: column;
  width: 370px;
  height: 170px;
  border: 1px solid grey;
  border-radius: 5px;
}

// .backgroundImage {
//   background-color: grey; 
// }


.infoWrap {
  cursor: pointer;
  background-image: url(../../assets/images/sm-background.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  min-height: 120px;
  position: relative;
  display: flex;
  align-items: center;
  padding: $cell * 3;

  &::after{
    z-index: 0;
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0,0,0,0.2);
    backdrop-filter: blur(1px);
  }

  .avatar {
    z-index: 1;
    width: 60px;
    height: 60px;
    margin-right: $cell * 2;
  }
  .meta {
    z-index: 1;
    .name {
      font-size: 2.2rem;
      line-height: 2.2rem;
      color: white;
      margin-bottom: $cell * 0.5;
    }

    .context {
      color: #bdbdbd
    }
  }
}

.actions {
  display: flex;
  height: 100%;
  align-items: center;
  justify-content: space-around;
  padding: 0 $cell * 2;
  background-color: #f9f9f9;
  border-radius: 5px;

  .action {
    padding-right: $cell;
    font-weight: bold;
    cursor: pointer;
    &:hover {
      transform: scale(1.1);
    }
  }

  .delete {
    color: #f84856
  }

}

.disabled {
  opacity: 0.6;
  pointer-events: none;
}